#****************************************************************************
#**
#**  Author(s):  William Holmes
#**
#**  Summary  :  Aeon Anal Prober Script
#**
#**  Copyright © 2008 OVER NINE THOUSAND!  All rights reserved.
#****************************************************************************

local AAirUnit = import('/lua/aeonunits.lua').AAirUnit
local WeaponsFile = import('/lua/aeonweapons.lua')
local ADFTractorClaw = WeaponsFile.ADFTractorClaw
local explosion = import('/lua/defaultexplosions.lua')

UAAX301 = Class(AAirUnit) {
    DestroyNoFallRandomChance = 1.1,
    Weapons = {
        TractorBeam = Class(ADFTractorClaw){},
    },

    OnStopBeingBuilt = function(self,builder,layer)
        AAirUnit.OnStopBeingBuilt(self,builder,layer)
        self.Trash:Add(CreateRotator(self, 'Ring01', 'y', nil, 0, 20, 240))
        self.Trash:Add(CreateRotator(self, 'Ring02', 'y', nil, 0, -10, -180))
        self.Trash:Add(CreateRotator(self, 'Ring03', 'y', nil, 0, 5, 120))
    end,
}

TypeClass = UAAX301